Subject: Re: [Ecrit] Re: [Sip] draft-rosenberg-sip-ua-loose-route-01.txt

From: "Christer Holmberg (JO/LMF)" <[email-masked]>
Date: Wed, 5 Sep 2007 14:46:59 +0200

>>.... Once we have reached the E-CSCF, is the original Request-URI (the

>>service URN) still important for any issue apart from special
handling? 
>>
>You need to know what service was requested, which may or may not be
what 
>PSAP it ended up on. This is especially true in disasters where
regardless 
>of what you asked for, the call may end up in some temporary call
center. 
>Furthermore, no matter whether or not everything else handles it
correctly, 
>it strikes me as a really bad idea to throw away information like this.

>Even if the original Request-URI ends up in a
Original-Emergency-Request-URI 
>header that we have to invent, let's not throw away data that could be
a 
>matter of life and death (literally). 

There is no need to invent a new header - you can use P-Called-Party-Id.

Regards,

Christer

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

---

From: "Brian Rosen" <[email-masked]>
Date: Wed, 5 Sep 2007 09:03:57 -0400

Note that we would have to write a new RFC to do this, as 3455 defines
P-Called-Party-Id as inserted by a proxy by copying the Request-URI.  For an
endpoint that did LoST dips, this would not work.

It would work with an endpoint that did dial string resolution, but not LoST
dip.  I recognize that this is the current IMS direction.

It would not work with an endpoint that did not do dial string resolution.

Using loose route does not even need Jonathan's draft; we can just BCP it
into the PSAP (i.e. the service URN gets you to the PSAP, the PSAP can pop
the route header).  It works with all variations, as described by Hannes and
I.

Brian

> -----Original Message-----
> From: Christer Holmberg (JO/LMF) [mailto:[email-masked]]
> Sent: Wednesday, September 05, 2007 8:47 AM
> To: ECRIT
> Subject: Re: [Ecrit] Re: [Sip] draft-rosenberg-sip-ua-loose-route-01.txt
> 
>